Produce a one-off report, comparing page view and traffic levels on wikimedia.org to wikipedia.org
Closed, ResolvedPublic2 Story Points

Description

As a Product Manager, I'd like to know how much traffic, on average, goes to the wikimedia.org portal page, so that I can decide how to prioritise improvements to that portal.

debt created this task.Mar 12 2016, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2016, 3:38 PM
mpopov added a subscriber: mpopov.Mar 14 2016, 5:00 PM

We have the raw numbers (http://discovery.wmflabs.org/portal/#pageview_tab) Do you want portal traffic as % of overall traffic to all WMF sites?

@mpopov Well, this task seems to be about wikimedia.org rather than wikipedia.org.

@debt Was the above intentional? If so, we should consider whether it's worthwhile actually doing this analysis. The wikipedia.org portal is all that's really in scope at the minute for Discovery; see T110070#1653320 for background on that.

debt added a comment.Mar 14 2016, 8:39 PM

Yup, it is intentional. One recent commentator to our new wikipedia portal update was to ask if we would do something similar to wikimedia.org. :)

I kind of just wanted a ballpark figure...nothing special.

@mpopov Well, this task seems to be about wikimedia.org rather than wikipedia.org.

Heh, whoops. Turns out I am a horrible reader at 10AM.

Yup, it is intentional. One recent commentator to our new wikipedia portal update was to ask if we would do something similar to wikimedia.org. :)

I kind of just wanted a ballpark figure...nothing special.

I think producing a quick, one-off report would be fine. We can use this task for that; I'll adjust it accordingly.

That said, although I am open to the data changing our minds, I expect we will maintain our previous commitment to only focus on wikipedia.org. This makes this task fairly low priority.

Deskana renamed this task from Wikimedia.org portal page: how much traffic hits this site? to Produce a one-off report, comparing page view and traffic levels on wikimedia.org to wikipedia.org.Mar 14 2016, 8:47 PM
Deskana triaged this task as Low priority.
Deskana updated the task description. (Show Details)
debt added a comment.Mar 14 2016, 11:59 PM

Thanks, @Deskana and @mpopov - a quick report would be perfect. I'd like to ensure that we're not missing anything important on the wikimedia.org site.

This is a low priority ask for sure, and our commitment to focusing on wikipedia.org is firmly in place. :)

debt added a comment.Mar 15 2016, 9:21 PM

Let's add in another site, just in case: www.wikipedia.nl, as referenced by this: https://office.wikimedia.org/wiki/ToDo/Chapters_coordinator/Reports/Week_2007-44

This is becoming a bit of a moving target. I'm not comfortable with that. Given our restrictions in resourcing both in the engineering and analysis front, the analysis should be restricted to wikimedia.org and wikipedia.org.

mpopov claimed this task.
mpopov set the point value for this task to 2.
mpopov added a comment.Apr 5 2016, 3:23 PM

Running a script that's counting pageviews from the past 28 days. Might take a while.

@mpopov will check whether the script is done, and move this task to the correct column accordingly.

@debt: Do you want a report-report? I don't know what to say that isn't already clear from looking at the charts.

debt added a comment.Apr 11 2016, 8:23 PM

Hi @mpopov thanks for the work there.

It's a bit weird, because I didn't expect that many people to be hitting the page at wikimedia.org. But, maybe a lot of them could be because of typo's ("m" instead of "p") or simple curiosity of the page.

I'm good with this being done-done!

debt closed this task as Resolved.May 10 2016, 5:22 PM

Closing this - no more work is needed!